﻿/**
 * Progression 4
 * 
 * @author Copyright (C) 2007-2009 taka:nium.jp, All Rights Reserved.
 * @version 4.0.1 Public Beta 1.2
 * @see http://progression.jp/
 * 
 * Progression Software is released under the Progression Software License:
 * http://progression.jp/ja/overview/license
 * 
 * Progression Libraries is released under the MIT License:
 * http://www.opensource.org/licenses/mit-license.php
 */
package {
	import flash.display.MovieClip;
	import flash.display.Sprite;
	import jp.progression.commands.*;
	import jp.progression.commands.Command;
	import flash.display.DisplayObjectContainer;
	
	import caurina.transitions.Tweener;
	

	import jp.nium.core.debug.Logger;
	import jp.nium.utils.ObjectUtil;
	import jp.progression.core.L10N.L10NCommandMsg;
	
	/**
	 * <p>オレオレコマンドのテスト</p>
	 * <p></p>
	 * 
	 * @example <listing version="3.0" >
	 * // Wait インスタンスを作成する
	 * var com:Wait = new Wait();
	 * 
	 * // コマンドを実行する
	 * com.execute();
	 * </listing>
	 */
	public class OreOreCommand extends Command {
		
		/**
		 * <p>処理を停止させたい時間を秒単位で取得します。</p>
		 * <p></p>
		 */
		public function get time():Number { return _time; }
		private var _time:Number = 1.0;
		private var _target:Object;
		
		public function OreOreCommand( target:Object , time:Number = 1.0 , initObject:Object = null ) {
			// 引数を設定する
			_time = time;
			_target = target;
			// 親クラスを初期化する
			super( _executeFunction, _interruptFunction, initObject );
		}
		
		/**
		 * 実行されるコマンドの実装です。
		 */
		private function _executeFunction():void {
			
			var _sp:Sprite = new Sprite();
			_sp.graphics.beginFill( 0x999999 , 1 );
			_sp.graphics.drawRect(0,0,50,50);
			_sp.graphics.endFill();
			_sp.y = 50;
			_target.addChild(_sp);
			
			Tweener.addTween( _sp , { x:150 , time:_time , delay:0.0 , transition:"easeOutCubic" , onComplete:function(){ executeComplete(); } });
			
			// 処理を終了する
			//super.executeComplete();
		}
		
		/*======================================================================*//**
		 * 中断実行されるコマンドの実装です。
		 */
		private function _interruptFunction():void {
			//endExec();
		}
		
		/**
		 * <p>Wait インスタンスのコピーを作成して、各プロパティの値を元のプロパティの値と一致するように設定します。</p>
		 * <p>Duplicates an instance of an Wait subclass.</p>
		 * 
		 * @return
		 * <p>元のオブジェクトと同じプロパティ値を含む新しい Wait インスタンスです。</p>
		 * <p>A new Wait object that is identical to the original.</p>
		 */
		public override function clone():Command {
			return new OreOreCommand( _target , _time , this );
		}

	}
}
